Package twisted :: Package test :: Module test_nntp |
[frames | no frames]

## Module twisted.test.test_nntp

Classes
`NNTPTestCase` |
`TestNNTPClient` |

Variable Summary
`tuple` | `ALL_GROUPS` = `(('alt.test.nntp', 0, 1, 'y'),)`
`tuple` | `GROUP` = `('0', '1', '0', 'alt.test.nntp', 'group', 'selec...`
`str` | `POST_STRING` = `'Path: not-for-mail\nFrom: <exarkun@someho...`
`list` | `SUBSCRIPTIONS` = `['alt.test.nntp', 'news.testgroup']`

Variable Details

    ### ALL_GROUPS Type: `tuple` Value:
        (('alt.test.nntp', 0, 1, 'y'),)

    ### GROUP Type: `tuple` Value:
        ('0', '1', '0', 'alt.test.nntp', 'group', 'selected')

    ### POST_STRING Type: `str` Value:
        '''Path: not-for-mail
        From: <exarkun@somehost.domain.com>
        Subject: a test
        Newsgroups: alt.test.nntp
        Organization:
        Summary:
        Keywords:
        User-Agent: tin/1.4.5-20010409 ("One More Nightmare") (UNIX) (Linux/2.\
        ...

    ### SUBSCRIPTIONS Type: `list` Value:
        ['alt.test.nntp', 'news.testgroup']

Generated by Epydoc 2.0 on Sat Oct 25 00:55:13 2003 | http://epydoc.sf.net